## twpsk 2.0

=== Makefile ===
# Path settings for 'make install'
# cod-file will be searched in DATADIR, $(HOME) and current directory
# ini-file will be searched in $(HOME), current directory and DATADIR
BINDIR = /usr/local/bin
DATADIR = /usr/share/psk31
MANDIR = /usr/local/man/man1
CC = g++ 
LD = g++
CXXFLAGS = -Wall -O2 -g
LDFLAGS = -v -H

#############################################################################
## If you change these lines, you have to do a "make clean"!!!
##
## Uncomment these two lines for recommended mode with pthread library
LIBS = -lncurses -lm -lpthread
CXXFLAGS += -DUSE_PTHREAD
##
## Uncomment this line for operation without phreads
## This will only work for "make twpsk"
## making "psk31lx" will currently fail!
## (Well, it compiles, but the executable does not work...)
##LIBS = -lncurses -lm
#############################################################################
export CXXFLAGS

OBJS = psk31-coder.o psk31-receiver.o psk31-transmitter.o psk31-main.o window.o
# OBJS += hansis-fft.o
FILES = README Changes Makefile *.C *.h psk31.ini psk31.cod psk31.1

TWPSKLIBDIRS   =     -L/usr/X11R6/lib
TWPSKLIBS      =     -lXm -lXt -lX11 -lXp -lXext -lXpm -lm

all:	 twpsk psk31lx

psk31lx:	modes_d server_d user_d 
	$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o server/server-main.o -o psk31lx

twpsk:	modes_d server_d twpsk_d
	$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) modes/*.o server/server-main.o user-twpsk/*.o -o twpsk

modes_d:
	(cd modes; $(MAKE))

twpsk_d:
	(cd user-twpsk; $(MAKE))

user_d:
	(cd user; $(MAKE) direct)

server_d:
	(cd server; $(MAKE) direct)

arch:	$(FILES)
	tar -cvzf psk31lx.tgz $(FILES)

rpm:	
	tar -cvzf /usr/src/packages/SOURCES/twpsk-V1.1.tar.gz $(FILES)
	rpm -ba /usr/src/packages/SPECS/twpsk-1.1-1.spec

install:
	install -d $(BINDIR)
	install -d $(DATADIR)
	install -d $(MANDIR)
	install psk31lx $(BINDIR)
	install psk31.ini psk31.cod $(DATADIR)
	install psk31.1 $(MANDIR)

install_twpsk:
	install -d $(BINDIR)
	install -d $(DATADIR)
	install  psk31.ini psk31.cod $(DATADIR)
	install  user-twpsk/twpskHelp $(DATADIR)
	install  twpsk $(BINDIR)
	install  user-twpsk/Twpsk /usr/X11R6/lib/X11/app-defaults
clean:
	/bin/rm -f */*.o psk31lx twpsk core

=== modes/Makefile ===
CC = g++
CXXFLAGS = -g -O2 -Wall

OFILES = hansis_fft.o psk31-coder.o psk31-fft.o psk31-receiver.o psk31-transmitter.o

all: $(OFILES)

clean:
	/bin/rm -rf *.o

=== user/Makefile ===

CC = g++
CXXFLAGS = -g -O2 -Wall
OFILES = term-psk31.o  text-window.o

all:    $(OFILES)

direct: all

socket: all

clean:
	/bin/rm -rf *.o core

## twpsk 2.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # Path settings for 'make install'
-# cod-file will be searched in DATADIR, $(HOME) and current directory
-# ini-file will be searched in $(HOME), current directory and DATADIR
+# cod-file will be searched in DATADIR  /* $(HOME) and current directory */
+# ini-file will be searched in DATADIR  /* $(HOME), current directory    */
 BINDIR = /usr/local/bin
-DATADIR = /usr/share/psk31
+DATADIR = /usr/local/share/psk31
 MANDIR = /usr/local/man/man1
 CC = g++ 
 LD = g++
-CXXFLAGS = -Wall -O2 -g
+###CXXFLAGS = -O2 -g
+CXXFLAGS = -O2 -g -Wall 
 LDFLAGS = -v -H
 
 #############################################################################
@@ -28,16 +29,28 @@
 # OBJS += hansis-fft.o
 FILES = README Changes Makefile *.C *.h psk31.ini psk31.cod psk31.1
 
-TWPSKLIBDIRS   =     -L/usr/X11R6/lib
-TWPSKLIBS      =     -lXm -lXt -lX11 -lXp -lXext -lXpm -lm
+TWPSKLIBDIRS = -L/usr/X11R6/lib
+TWPSKLIBS = -lXm -lXt -lX11 -lXp -lXext -lXpm -lm
 
-all:	 twpsk psk31lx
+all:	 twpsk psk31lx 
 
 psk31lx:	modes_d server_d user_d 
-	$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o server/server-main.o -o psk31lx
+		$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o\
+		server/server-main.o -o psk31lx
 
-twpsk:	modes_d server_d twpsk_d
-	$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) modes/*.o server/server-main.o user-twpsk/*.o -o twpsk
+twpsk:	modes_d server_d twpsk_d inst_files
+	$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) \
+	modes/*.o server/server-main.o user-twpsk/*.o -o twpsk
+
+inst_files:
+	if test -d $(HOME)/twpskDir ; \
+	then \
+	   echo $(HOME)/twpskDir exists - preserving your files. ; \
+	else \
+	   echo Copying some files to $(HOME)/twpskDir; \
+	   install -d  $(HOME)/twpskDir ; \
+	   install user-twpsk/twpskDir/* $(HOME)/twpskDir ; \
+	fi
 
 modes_d:
 	(cd modes; $(MAKE))
@@ -69,9 +82,9 @@
 install_twpsk:
 	install -d $(BINDIR)
 	install -d $(DATADIR)
-	install  psk31.ini psk31.cod $(DATADIR)
-	install  user-twpsk/twpskHelp $(DATADIR)
+	install  psk31.ini psk31.cod user-twpsk/twpskHelp $(DATADIR)
 	install  twpsk $(BINDIR)
 	install  user-twpsk/Twpsk /usr/X11R6/lib/X11/app-defaults
+
 clean:
 	/bin/rm -f */*.o psk31lx twpsk core

=== server/Makefile ===

CC = g++

all: direct

direct: server-main.o

socket:

clean:
	/bin/rm -rf *.o core

## twpsk 2.1+2.2beta1

=== Makefile ===
# Path settings for 'make install'
# cod-file will be searched in DATADIR
# ini-file will be searched in DATADIR
BINDIR = /usr/local/bin
DATADIR = /usr/local/share/psk31
MANDIR = /usr/local/man/man1
CC = g++ 
LD = g++
CXXFLAGS = -Wall -O2
LDFLAGS = -v -H
STATICFLAGS = -static -pthread -u _XEditResCheckMessages

#############################################################################
## If you change these lines, you have to do a "make clean"!!!
##
## Uncomment these two lines for recommended mode with pthread library
LIBS = -lncurses -lm -lpthread
CXXFLAGS += -DUSE_PTHREAD
##
## Uncomment this line for operation without phreads
## This will only work for "make twpsk"
## making "psk31lx" will currently fail!
## (Well, it compiles, but the executable does not work...)
##LIBS = -lncurses -lm
#############################################################################
export CXXFLAGS

OBJS = psk31-coder.o psk31-receiver.o psk31-transmitter.o psk31-main.o window.o
# OBJS += hansis-fft.o
FILES = README Changes Makefile *.C *.h psk31.ini psk31.cod psk31.1

TWPSKLIBDIRS = -L/usr/X11R6/lib
TWPSKLIBS = -lXm -lXt -lX11 -lXp -lXext -lXpm -lm
STATICLIBS = -lXmu -lXm -lXp -lXpm -lXt -lXext -lX11 -ldl -lSM -lICE

all:	 	twpsk psk31lx 

psk31lx:	modes_d server_d user_d 
		$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o\
		server/server.o -o psk31lx

twpsk:		modes_d server_d twpsk_d inst_files
		$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) \
		modes/*.o server/server.o gui/*.o -o twpsk

static:		modes_d server_d twpsk_d
		$(LD) $(STATICFLAGS) \
		modes/*.o server/server.o gui/*.o -o twpsk.static\
        	$(TWPSKLIBDIRS) $(STATICLIBS) $(LIBS) 
	

backup:
		(cd gui; make backup)

inst_files:
		if test -d $(HOME)/twpskDir ; \
		then \
	   	echo $(HOME)/twpskDir exists - preserving your files. ; \
		else \
	   	echo Copying some files to $(HOME)/twpskDir; \
	   	install -d  $(HOME)/twpskDir ; \
	   	install gui/twpskDir/* $(HOME)/twpskDir ; \
		fi

modes_d:
		(cd modes; $(MAKE))

twpsk_d:
		(cd gui; $(MAKE))

user_d:
		(cd user; $(MAKE) direct)

server_d:
		(cd server; $(MAKE) direct)

arch:	$(FILES)
		tar -cvzf psk31lx.tgz $(FILES)

rpm:	
		tar -cvzf /usr/src/packages/SOURCES/twpsk-V1.1.tar.gz $(FILES)
		rpm -ba /usr/src/packages/SPECS/twpsk-1.1-1.spec

install:
		install -d $(BINDIR)
		install -d $(DATADIR)
		install -d $(MANDIR)
		install psk31lx $(BINDIR)
		install psk31.ini psk31.cod $(DATADIR)
		install psk31.1 $(MANDIR)

install_twpsk:
		install -d $(BINDIR)
		install -d $(DATADIR)
		install  psk31.ini psk31.cod $(DATADIR)
		install  twpsk $(BINDIR)
		install  gui/Twpsk /usr/X11R6/lib/X11/app-defaults

clean:
		/bin/rm -f */*.o psk31lx twpsk twpsk.static core

=== modes/Makefile ===
CC = g++
CXXFLAGS = -O2 -g -Wall

OFILES = hansis_fft.o psk31-coder.o psk31-fft.o psk31-receiver.o psk31-transmitter.o

all: $(OFILES)

clean:
	/bin/rm -rf *.o

=== server/Makefile ===

CC = g++

all: direct

direct: server.o

socket:

clean:
	/bin/rm -rf *.o core

=== user/Makefile ===

CC = g++
CXXFLAGS = -O2 -g -Wall
OFILES = term-psk31.o  text-window.o

all:    $(OFILES)

direct: all

socket: all

clean:
	/bin/rm -rf *.o core

## twpsk 4.0

=== debian/changelog ===
twpsk (4.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714670).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:09:20 +0200

twpsk (4.0-2) unstable; urgency=low

  * Fix underlinking: link libpulse explicitly
    - Thanks Graham Inggs (Closes: #701901, LP: #1134242)
  * Enabled build-hardening

 -- Kamal Mostafa <kamal@whence.com>  Thu, 28 Feb 2013 13:30:31 -0800

twpsk (4.0-1) unstable; urgency=low

  * New upstream release
    - features PulseAudio support
    - all new debian/ packaging
  * New Debian maintainer (Closes: #648259).
  * Fix FTBFS in Ubuntu Oneiric (LP: #832865)
    - debian/patches/01-fix-library-link-order.patch
  * Debian policy compilance
    - debian/patches/02-select-desktop-category-Network.patch
    - debian/patches/20-rename-upstream-ChangeLog.patch

 -- Kamal Mostafa <kamal@whence.com>  Sat, 12 Nov 2011 10:46:32 -0800

twpsk (3.0-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 03 Nov 2009 07:12:27 +0000

twpsk (3.0-2) unstable; urgency=low

  * Can not store a pointer in an integer, remove offending lines.
    Fixes FTBFS. Closes: #515535.
  * Hardcode app-default directory in configure.in. This will probably
    fix builds on sparc and mips. Closes: #515584.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 17 Feb 2009 09:17:48 +0100

twpsk (3.0-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 15 Feb 2009 19:18:55 +0100

twpsk (2.1+2.2beta1-8) unstable; urgency=low

  * Handle nostrip build options. Closes: #438229.
  * Menu transition.
  * Lintian clean.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 04 Dec 2007 18:47:18 +0100

twpsk (2.1+2.2beta1-7) unstable; urgency=low

  * Build-depends on lesstif2-dev. Closes: #374250.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Jun 2006 19:41:16 +0200

twpsk (2.1+2.2beta1-6) unstable; urgency=low

  * Acknowledge NMU, thanks Justin. Closes: #347067.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 22 Jan 2006 00:25:27 +0100

twpsk (2.1+2.2beta1-5.1) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #347067)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:17:50 +0100

twpsk (2.1+2.2beta1-5) unstable; urgency=low

  * Use sys/soundcard.h instead of linux/soundcard.h. Fixes FTBFS on
    GNU/kFreeBSD. Thanks to Aurelian Jarno for reporting. Closes: #336868.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  2 Nov 2005 09:31:08 +0100

twpsk (2.1+2.2beta1-4) unstable; urgency=low

  * Even more 64 bit fixes. Sigh....

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 10 Aug 2005 22:00:44 +0200

twpsk (2.1+2.2beta1-3) unstable; urgency=low

  * More 64 bit int->long compilation fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 10 Aug 2005 19:08:51 +0200

twpsk (2.1+2.2beta1-2) unstable; urgency=low

  * Do not install ~/twpskDir when building. Closes: #321836.
  * A 64-bit compilation fix. Closes: #321834.
  * Both errors reported by Kurt Roeckx. Thanks!

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  9 Aug 2005 09:47:35 +0200

twpsk (2.1+2.2beta1-1) unstable; urgency=low

  * New upstream beta release.

 -- Joop Stakenborg <pa3aba@debia.org>  Tue,  9 Aug 2005 09:34:24 +0200

twpsk (2.1-6) unstable; urgency=low

  * Patch by Andreas Jochens for AMD64/gcc-4.0. Closes: #289700.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 10 Jan 2005 18:05:08 +0100

twpsk (2.1-5) unstable; urgency=low

  * Remove debmake build dependency. Closes: #288978.
  * Some POSIX fixes.
  * No need to make the binaries owned by group audio.
  * Thanks to Santiago Vila for the reports.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  8 Jan 2005 15:45:01 +0100

twpsk (2.1-4) unstable; urgency=low

  * Watch file added.
  * Remove caps from the psk31lx manpages. Thanks Dan. Closes: #273898.
  * Lintian fixes.
  * Install twpsk into /usr/bin according to the policy manual.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Oct 2004 20:24:50 +0200

twpsk (2.1-3) unstable; urgency=low

  * gcc-3.3 fixes. Closes: #196462.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Oct 2004 20:14:32 +0200

twpsk (2.1-2) unstable; urgency=low

  * Change the path to psk31.cod. Thanks to Jean-Luc Coulon for reporting.
    Closes: #181751.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Feb 2003 17:47:35 +0100

twpsk (2.1-1) unstable; urgency=low

  * New upstream.
  * Build depends on libxaw7-dev. Closes: #170003.
  * Fixed some lintian errors.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 16 Feb 2003 12:19:38 +0100

twpsk (2.0-3) unstable; urgency=low

  * Another fix for the path to the twpsk data dir. Thanks to Bruce,
    W1BW for finding this one. Also, window sizes are now saved to
    .twpsk.dat instead of /usr/share/twpsk, because we do not have
    write permissions.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 12 Dec 2001 08:24:32 +0100

twpsk (2.0-2) unstable; urgency=low

  * Include psk31.cod in the twpsk package. Thanks to Jean-Luc Coulon for
    finding this bug. Closes: #120951.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 29 Nov 2001 19:38:37 +0100

twpsk (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Nov 2001 19:11:06 +0100

twpsk (1.1-7) unstable; urgency=low

  * Fix for ia64. Closes: #118643.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 10 Nov 2001 12:31:37 +0100

twpsk (1.1-6) unstable; urgency=low

  * Remove libstdc++2.10-dev from the Build-Depends line. Closes: #105940.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 21 Jul 2001 01:03:29 +0200

twpsk (1.1-5) unstable; urgency=low

  * Add libxaw-dev to the Build-Depends. Closes: #104546.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 14 Jul 2001 00:27:44 +0200

twpsk (1.1-4) unstable; urgency=low



=== debian/control ===
Source: twpsk
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
Standards-Version: 3.9.4
Homepage: http://wa0eir.home.mchsi.com/twpsk.html

Package: twpsk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: twlog
Description: Soundcard-based X program for operating PSK31
 Twpsk uses a soundcard to receive and transmit PSK31, an extremely
 narrow band HF-mode. PSK31 is a mode for keyboard QSO's.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# enable hardening flags (for debian/compat<9):
configure_flags += $(shell f=`dpkg-buildflags --export=configure` && echo $$f)

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)


%:
	dh $@

=== debian/watch ===
# See uscan(1) for format
version=3
http://wa0eir.home.mchsi.com/src/twpsk-(.*)\.src\.tar\.gz

## twpsk 4.1

=== debian/changelog ===
twpsk (4.1-1) unstable; urgency=medium

  * New upstream release (closes: #744533)
  * Homepage moved so update debian/control
  * Upstream code moved so update debian/watch
  * Bump Standards Version (No changes required)
  * Fix patches incorp by upstream (closes: #727995)

 -- Colin Tuckley <colint@debian.org>  Sat, 07 Jun 2014 21:41:10 +0100

=== debian/control ===
Source: twpsk
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
Standards-Version: 3.9.5
Homepage: http://wa0eir.bcts.info/twpsk.html

Package: twpsk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: twlog
Description: Soundcard-based X program for operating PSK31
 Twpsk uses a soundcard to receive and transmit PSK31, an extremely
 narrow band HF-mode. PSK31 is a mode for keyboard QSO's. It offers
 narrow signal width and gives excellent results with low power
 and minimal antenna systems.

=== debian/watch ===
# See uscan(1) for format
version=3
http://wa0eir.bcts.info/src/twpsk-(.*)\.src\.tar\.gz

## twpsk 4.2

=== debian/changelog ===
twpsk (4.2-1) unstable; urgency=medium

  * New upstream release (closes: #853690)
  * Bump Standards Version (No changes required)
  * move to debhelper compat 9

 -- Colin Tuckley <colint@debian.org>  Sat, 01 Jul 2017 15:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>=9), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
+Standards-Version: 3.9.8
 Homepage: http://wa0eir.bcts.info/twpsk.html
 
 Package: twpsk

## twpsk 4.3

=== debian/changelog ===
twpsk (4.3-2) unstable; urgency=medium

  * Team upload.
  * Maintain in Salsa repository of the Hamradio team
  * Homepage seems not to be available any more thus point Homepage field
    to webarchive
  * d/watch:
     - version=5
     - No upstream site
  * Remove Colin Tuckley from Uploaders (Thank you for your previous work,
    Colin)
    Closes: #990591
  * d/rules: Its not a sample
  * debhelper-compat=13
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Remove patch 01-fix-library-link-order.patch that is missing from
    debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jan 2026 09:40:52 +0100

twpsk (4.3-1) unstable; urgency=medium

  * New upstream release
  * Removed 22-fix-pointer-cast.patch, bug fixed in upstream

 -- Ervin Hegedus <airween@gmail.com>  Sat, 02 Sep 2017 10:03:41 +0000

twpsk (4.2-2) unstable; urgency=medium

  * Team upload
  * Fixed bug: #871096
  * Bump Standards Version to 4.0.0

 -- Ervin Hegedus <airween@gmail.com>  Mon, 07 Aug 2017 06:02:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: twpsk
 Section: hamradio
-Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>=9), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
-Standards-Version: 3.9.8
-Homepage: http://wa0eir.bcts.info/twpsk.html
+Uploaders: Kamal Mostafa <kamal@whence.com>, Ervin Hegedus <airween@gmail.com>
+Build-Depends: debhelper-compat (= 13), libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/twpsk
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/twpsk.git
+Homepage: https://web.archive.org/web/20230329073132/http://wa0eir.bcts.info/twpsk.html
 
 Package: twpsk
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_clean:
	rm -f changelog
	dh_clean

# enable hardening flags (for debian/compat<9):
configure_flags += $(shell f=`dpkg-buildflags --export=configure` && echo $$f)

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)


%:
	dh $@

=== debian/watch ===
Version: 5

Dversion-Mangle: s/.*/0.No-Site/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

# Source: http://wa0eir.bcts.info/src/
# Matching-Pattern: twpsk-(.*)\.src\.tar\.gz
